#
# Colecovision Keyboard
#

XC3SPROG =	/opt/Xilinx/xc3sprog/xc3sprog
LPC21ISP =	/opt/lpc21isp-master

#

all:		package website

#

flash-cpld:
		$(XC3SPROG) -c xpc -v ise/cvkbdcpld.jed

arm-code:
		cd arm && make

flash-arm:
		$(LPC21ISP)/lpc21isp arm/out/cvkbdarm.hex /dev/ttyUSB0 115200 12000

rom:
		cd testrom && make

# Package

package:
		zip -q -r cvkbd.zip *
		zip -q -d cvkbd.zip *.bak */*.bak

# Website

website:	package
		cp doc/* cvkbd.zip /pub/cvkbd
